## openbox 3.4.4

=== tests/Makefile ===
files=$(wildcard *.c)

all: $(files:.c=)

%: %.c
	$(CC) $(CFLAGS) -o $@ $^ -lX11 -lXext -L/usr/X11R6/lib -I/usr/X11R6/include

## openbox 3.4.11.1

=== debian/changelog ===
openbox (3.4.11.1-1) unstable; urgency=low

  * New upstream release (Closes: #570441).
    - removed wrong use of test command in openbox-gnome-session leading
      to misbehaviour with gnome sessions (Closes: #566685).
  * Add obxprop to the installed files (Closes: #564292).
  * Removed 04_escape_session_names.dpatch/03_nextprev-xinerama.dpatch
    completely from debian/, wasn't used anymore anyway.
  * Bump standards version, no changes needed.
  * Update install files for libobparser/libobrender and links in openbox-dev
    as the shared library minor version changed.
  * Update install paths of openbox-dev files to reflect upstream changes
    and install all header files rather than pick them manually.
  * Switch to regular paragraphs from asterisks in NEWS file.
  * Change short description of openbox-dev to differ from openbox.
  * Switch to dpkg-source 3.0 (quilt) format
    - switch from dpatch to quilt patches.
  * Adding ${misc:Depends} to openbox-dev.

 -- Nico Golde <nion@debian.org>  Fri, 23 Apr 2010 16:26:22 +0200

openbox (3.4.10-1) unstable; urgency=low

  * New upstream release.
  * Add ${misc:Depends} to Depends of libobparser21,libobrender and openbox.
  * Add dummy README.source file.
  * Update install files for libobparser/libobrender as the shared
    library minor version changed.

 -- Nico Golde <nion@debian.org>  Sat, 02 Jan 2010 14:55:54 +0100

openbox (3.4.9-2) unstable; urgency=low

  * Add libxau-dev to build-depends as it was previously only installed
    as a transitive dependency by other dependencies (Closes: #555787).
    Previous fix incomplete.

 -- Nico Golde <nion@debian.org>  Sat, 02 Jan 2010 14:42:16 +0100

openbox (3.4.9-1) unstable; urgency=low

  * New upstream release
    - Prevent focus from moving under the mouse after activating a window
      with an openbox menu (Closes: #517038)
    - NOTE: this release introduces a new tool named obprop. I did not
      include this tool in the package yet as it has no manual page and it's
      use is probably limited for most users.
  * Add libx11-dev to build-depends as it was previously only installed
    as a transitive dependency by other dependencies (Closes: #555787).
  * Update install files for libobparser/libobrender as the shared
    library minor version changed.

 -- Nico Golde <nion@debian.org>  Fri, 01 Jan 2010 22:26:10 +0100

openbox (3.4.8-1) unstable; urgency=low

  * New upstream release (Closes: #561247).
    + Drop 03_nextprev-xinerama.dpatch included upstream.
    + Drop 04_escape_session_names.dpatch included upstream.
    + Drop 05_fix_gnome_session.dpatch included upstream.
    + Drop 06_resepect_xdg_home.dpatch included upstream.
    + Show desktop switch box on every monitor (Closes: #487382).
  * Categorize openbox.desktop in System, maybe remove that file
    alltogether at a later point (Closes: #544839).
  * Remove Anibal Avelar from uploaders, not active anyway. Thanks
    for your previous work!
  * Integrate patch my Marc Brockschmidt to make MoveResize understand
    BelowCenter/AboveCente/LeftOfCenter/RightOfCenter, thanks!
    (03_place_windows_in_quadrants; Closes: #544538).
  * Update install files for libobparser/libobrender as the shared
    library minor version changed.
  * Bump standards version, no changes needed.
  * Tighten library dependencies of openbox-dev.

 -- Nico Golde <nion@debian.org>  Tue, 15 Dec 2009 16:03:25 +0100

openbox (3.4.7.2-5) unstable; urgency=low

  * Remove --choose-session option the openbox-gnome-session
    script as gnome-session doesn't support this option anymore
    and it's not needed anyway (Closes: #537294).
  * Do not install kdetrayproxy manual anymore, we don't ship the
    program since ages (Closes: #505161).
  * Respect XDG_CONFIG_HOME in openbox-session script as described
    in the XDG Base Directory Specification (Closes: #537621).
  * Bump standards version to 3.8.2, no changes needed.

 -- Nico Golde <nion@debian.org>  Sun, 09 Aug 2009 14:51:12 +0200

openbox (3.4.7.2-4) unstable; urgency=low

  * Bump policy version, no changes needed.
  * Fix 02_fix_freedesktop_compliance.dpatch and install it as well
    to /usr/share/applications to make the session manager work again.
    Thanks Craig Sanders. (Closes: #533126, #531580)
  * Fix unversioned links to license in copyright.
  * Use dh_prep rather than dh_clean -k as it is deprecated.

 -- Nico Golde <nion@debian.org>  Mon, 15 Jun 2009 12:32:07 +0200

openbox (3.4.7.2-3) unstable; urgency=low

  * Set priority of x-session-manager alternative (openbox-session) to 40
    instead of 50 (Closes: #490392).
  * Properly escape window and desktop name in session file when saving a
    session (04_escape_session_names.dpatch; Closes: #488492).
  * Bump to debhelper compatiblity leve 7 and adjust build dependency.
  * Bump to policy version 3.8.0, no changes needed.

 -- Nico Golde <nion@debian.org>  Mon, 14 Jul 2008 14:21:28 +0200

openbox (3.4.7.2-2) unstable; urgency=low

  * Add 03_nextprev-xinerama.dpatch to add the possibility to specify
    <monitor>next</monitor> or prev to the MoveResizeTo action to
    toggle a window from one monitor to the other without having
    multiple keybindings or shift it for 3 or more monitors when used
    with Xinerama.

 -- Nico Golde <nion@debian.org>  Mon, 05 May 2008 22:45:09 +0200

openbox (3.4.7.2-1) unstable; urgency=low

  * New upstream release (Closes: #477841).
  * Bump library SONAMES to 21, minor number to 2.
  * Conflict and replace libobrender16/parser16 and depend on the new version.
  * Update openbox.xpm image to fix new upstream icon.
  * Adjust upstream copyright years in debian/copyright.
  * Add the new gdm-control tool including a manpage to the package.
  * Remove openbox.compress and explicit file listing for dh_compress in
    rules and let debhelper do the magic.

 -- Nico Golde <nion@debian.org>  Fri, 25 Apr 2008 19:35:37 +0200

openbox (3.4.6.1-3) unstable; urgency=low



=== debian/control ===
Source: openbox
Section: x11
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 7), gettext, libxft-dev, libstartup-notification0-dev, libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, quilt, libx11-dev, libxau-dev
Standards-Version: 3.8.4
Homepage: http://www.openbox.org
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/openbox/trunk
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/openbox

Package: openbox
Architecture: any
Provides: x-window-manager, x-session-manager
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openbox-themes
Suggests: obconf, menu, ttf-dejavu, python, libxml2-dev
Conflicts: menu (<< 2.1.12)
Description: standards compliant, fast, light-weight, extensible window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 Some of the things to look for in Openbox are:
 .
  * ICCCM and EWMH compliance!
  * Very fast
  * Chainable key bindings
  * Customizable mouse actions
  * Window resistance
  * Multi-head Xinerama support!
  * Pipe menus

Package: libobparser21
Section: libs
Architecture: any
Conflicts: libobparser15, libobparser16
Replaces: libobparser15, libobparser16
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing library for openbox
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobparser library files used by openbox
 to load and parse configuration and theme files of openbox.

Package: libobrender21
Section: libs
Architecture: any
Conflicts: libobrender15, libobrender16
Replaces: libobrender15, libobrender16
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rendering library for openbox themes
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobrender library files used by openbox
 for theme rendering.

Package: openbox-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender21 (= ${binary:Version}), libobparser21 (= ${binary:Version})
Description: development files for the openbox window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers.  Openbox was written first to
 comply with standards and to work properly.  Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager.  It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the development headers for building openbox stuff.

## openbox 3.4.11.2

=== debian/changelog ===
openbox (3.4.11.2-0ubuntu3) natty; urgency=low

  * No-change rebuild to pick up multiarch .la files

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Apr 2011 11:34:33 -0700

openbox (3.4.11.2-0ubuntu2) natty; urgency=low

  * debian/openbox-dev.links:
    - Update shared library version numbers to match debian/*.install
      (LP: #614696)

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Mon, 14 Mar 2011 22:04:05 -0700

openbox (3.4.11.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
  * debian/*.install:
    - Update install files for libobparser/libobrender as the shared
      library minor version changed.
  * debian/patches
   - 20_24bits_support.patch: From Fedora, fix crashed on qemu.
     (LP: #548379, Closes: #606137)

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 27 Feb 2011 00:20:06 +0100

openbox (3.4.11.1-1ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.
    - Link gdm-control against Xau.
    - Build-depend on autoconf and automake1.9.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 08 Jan 2011 14:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: openbox
 Section: x11
 Priority: optional
-Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7), gettext, libxft-dev, libstartup-notification0-dev, libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, quilt, libx11-dev, libxau-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nico Golde <nion@debian.org>
+Build-Depends: debhelper (>= 7), gettext, libxft-dev, libstartup-notification0-dev, libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, quilt, libx11-dev, libxau-dev, autoconf, automake1.9
 Standards-Version: 3.8.4
 Homepage: http://www.openbox.org
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/openbox/trunk

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=
include /usr/share/quilt/quilt.make

CFLAGS=-Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

VERSION=$(shell awk '/^PACKAGE_VERSION/ { print $$2 }' "FS='" configure)

build: build-stamp
build-stamp: patch
	dh_testdir

	#remove upstream debian/ stuff
	-rm -f debian/changelog.in debian/menu debian/conffiles debian/post*
	autoconf
	automake-1.9
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --sysconfdir=/etc
	$(MAKE)

	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/openbox.pod > openbox.1
	#pod2man --section=1 --release=$(VERSION) --center \
	#	"Openbox documentation" debian/kdetrayproxy.pod > kdetrayproxy.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gnome-panel-control.pod > \
		gnome-panel-control.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gdm-control.pod > \
		gdm-control.1
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -rf tools/gnome-panel-control/.libs
	rm -rf tools/kdetrayproxy/.libs
	rm -rf openbox/.libs
	rm -rf debian/conffiles

	rm -f openbox.1
	#rm -f kdetrayproxy.1
	rm -f gnome-panel-control.1

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --sourcedir=debian/tmp -a

	install -m0644 debian/menu.xml $(CURDIR)/debian/openbox/etc/xdg/openbox
	install -m0664 debian/openbox.xpm $(CURDIR)/debian/openbox/usr/share/pixmaps/
	install -m0664 debian/openbox.xsession $(CURDIR)/debian/openbox/usr/share/xsessions/openbox.desktop
	install -m0664 debian/openbox.xsession $(CURDIR)/debian/openbox/usr/share/applications/openbox.desktop
	mkdir -p $(CURDIR)/debian/openbox/var/lib/openbox
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installmenu
	dh_installman -A
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## openbox 3.5.0

=== debian/changelog ===
openbox (3.5.0-2ubuntu2) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 18:02:22 +0000

openbox (3.5.0-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable. Ubuntu remaining changes : 
  * debian/control:
   - Remove libxft-dev and libxau-dev build-depends, not needed anymore.
   - Add depends on libimlib2-dev for openbox-dev, needed to build against
     openbox-dev.
   - Build-depends on dh-autoreconf and autopoint.
  * debian/openbox-dev.install
   - Install directly .so files.
  * debian/openbox-dev.links:
   - Remove since the .so files are installed.
  * debian/openbox.install
   - Install all locales and all themes.
   - Install .desktop and pixmap files.
   - Install menu.xml.
  * debian/rules:
   - Use CFLAGS += instead of CFLAGS =.
   - Use dh_install --list-missing.
   - Use --with autoreconf, needed by 90_fix_link_obt.patch.
  * debian/patches:
   - 90_fix_link_obt.patch : From upstream, fix linker issue with libobt.
  * debian/*.symbols:
   - Add symbols files.
  * debian/README.source
   - Remove, not needed with source format 3.0 (quilt).

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 06 Nov 2011 21:05:26 +0100

openbox (3.5.0-2) unstable; urgency=low

  * Document changes to be made after upgrade to 3.5 (Closes: #644754).
    - Ship new environment configuration file.
    - Remove old autostart.sh conffile (Closes: #645441).
    - Add notes in NEWS.Debian to state configuration changes to be made
      with the new 3.5.0 release.
    - Thanks Julien Valroff!
  * Add 'set -e' to openbox preinst script.
  * Drop useless build-dependency on quilt.
  * Register HTML documentation via doc-base.
  * openbox.menu-method: Add icon assignment statements into the
    openbox menu (Closes: #645952).
  * Add libimlib2-dev to build-dependencies to support icons in
    menus (Closes: #645944).
  * Fix loading of /var/lib/openbox/debian-menu.xml (Closes: #644756).
    - remove debian-menu.xml from rc.xml and only load the file from
      /var/lib/openbox to prevent confusing errors in xsessions-errors.

 -- Nico Golde <nion@debian.org>  Sun, 31 Oct 2011 23:41:20 +0200

openbox (3.5.0-1) unstable; urgency=low

  [Nico Golde]
  * New upstream release (Closes: #638783).
    - Fix crashes in the menu code (Closes: #563891).
  * Add Brazilian translation to openbox.desktop,
    thanks Sérgio Cipolla (Closes: #627912).
  * Remove 06_fix_swap_byte_order.patch, applied upstream.
  * Bump debhelper dependency to >= 7.0.50~ due to override.
  * Remove CHANGELOG from openbox.docs to prevent double installation.
  * Add 02_fix_freedesktop_compliance.dpatch desktop file to
    /usr/share/applications.

  [Eugenio Paolantonio]
  * debian/patches:
    - Disabled 03_place_windows_in_quadrants.patch
    - Updated 01_rc.xml.patch and 06_fix_swap_byte_order.patch
    - Removed 04_fix_ftbfs_no-add-needed.patch and 20_24bits_support.patch
  * debian/control:
    - Added myself to the Uploaders.
    - Build-Depends: removed libxau-dev, libxft-dev and python-xdg;
      added libimlib2-dev
    - openbox Suggests: added python-xdg
    - libobrender21 renamed to libobrender27
    - libobparser21 renamed to libobt0
  * debian/rules:
    - Rewrote using a simpler debhelper syntax
    - Moved the install pass to openbox.install
  * debian/*.{install,links,dirs}:
    - Updated.
  * debian/openbox.xsession:
    - Removed. Openbox now ships it by default.

 -- Nico Golde <nion@debian.org>  Sun, 03 Oct 2011 22:59:30 +0200

openbox (3.5.0-0ubuntu3) oneiric; urgency=low

  * debian/rules:
   - Pass --list-missing to dh_install.
  * debian/openbox.install:
   - Update with new files to install (LP: #838690)
   - Install all locales and all themes.
  * debian/openbox-dev.install
   - Install directly .so files.
  * debian/openbox-dev.links:
   - Remove since the .so files are installed.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 05 Sep 2011 23:35:31 +0200

openbox (3.5.0-0ubuntu2) oneiric; urgency=low

  * debian/openbox-dev.links:
   - Fix link to libobt.so.
  * debian/control:
   - Add depends on libimlib2-dev for openbox-dev.

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 24 Aug 2011 00:13:29 +0200

openbox (3.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #820068)
  * debian/control:
   - Remove libxft-dev and libxau-dev build-depends.
   - Build-depends on libimlib2-dev.
   - Bump package soname from libobrender21 to libobrender27
   - Replace libobparser21 by libobt0 binary. 
  * debian/rules:
   - Rewrite with dh syntax.
   - Move mkdir and install commands into .dirs and .install files.
   - Disable autoconf and automake commands.
   - Clean also gdm-control.1.
  * debian/*.install & debian/*.links
   - Update links and install location for 3.5.0
  * debian/patches:
   - 03_place_windows_in_quadrants.patch: Disable, need to be ported.
   - 01_rc.xml.patch: Refresh.
   - 04_fix_ftbfs_no-add-needed.patch: Remove, not needed anymore.
   - 06_fix_swap_byte_order.patch: Refresh.
   - 20_24bits_support.patch: Remove, merged upstream.

 -- Julien Lavergne <gilir@ubuntu.com>  Thu, 11 Aug 2011 01:32:53 +0200

openbox (3.4.11.2-2ubuntu1) oneiric; urgency=low

  * debian/rules:
   - Add -fPIC to CFLAGS to fix building against openbox-dev.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 24 Jul 2011 19:21:30 +0200

openbox (3.4.11.2-2) unstable; urgency=low

  * Remove gnome-panel-control files from openbox binary package
    (Closes: #627812).

 -- Nico Golde <nion@debian.org>  Wed, 25 May 2011 16:49:57 +0200

openbox (3.4.11.2-1) unstable; urgency=low

  * "New" upstream release (Closes: #599818).
  * Fix FTBFS with ld --no-add-needed/gold (Closes: #609317)


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7), gettext, libxft-dev, libstartup-notification0-dev, libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, quilt, libx11-dev, libxau-dev, autoconf, automake1.9
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8.1.0~), gettext, libstartup-notification0-dev, libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, libx11-dev, autoconf, automake1.9, python-xdg, libimlib2-dev, dh-autoreconf, autopoint
+Standards-Version: 3.9.2
 Homepage: http://www.openbox.org
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/openbox/trunk
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/openbox
@@ -12,10 +12,11 @@
 Package: openbox
 Architecture: any
 Provides: x-window-manager, x-session-manager
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: openbox-themes
-Suggests: obconf, menu, ttf-dejavu, python, libxml2-dev
-Conflicts: menu (<< 2.1.12)
+Recommends: openbox-themes, obconf
+Suggests: menu, ttf-dejavu, python, libxml2-dev
+Breaks: menu (<< 2.1.12)
 Description: standards compliant, fast, light-weight, extensible window manager
  Openbox works with your applications, and makes your desktop easier to manage.
  This is because the approach to its development was the opposite of what seems
@@ -41,7 +42,15 @@
   * Multi-head Xinerama support!
   * Pipe menus
 
-Package: libobparser21
+Package: gnome-panel-control
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: command line utility to invoke GNOME panel run dialog/menu
+ gnome-panel-control can be used to invoke the GNOME panel run or main
+ menu from the command line.  This is originally a helper utility of openbox
+ since gnome-panel is no longer managing its own key bindings.
+
+Package: libobt0
 Section: libs
 Architecture: any
 Conflicts: libobparser15, libobparser16
@@ -62,10 +71,10 @@
  any existing code base, although the visual appearance has been based upon
  that of Blackbox.  Openbox 2 was based on the Blackbox 0.65.0 codebase.
  .
- This package contains the libobparser library files used by openbox
+ This package contains the libobt library files used by openbox
  to load and parse configuration and theme files of openbox.
 
-Package: libobrender21
+Package: libobrender27
 Section: libs
 Architecture: any
 Conflicts: libobrender15, libobrender16
@@ -92,7 +101,7 @@
 Package: openbox-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender21 (= ${binary:Version}), libobparser21 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender27 (= ${binary:Version}), libobt0 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libxft-dev, libpango1.0-dev, libimlib2-dev
 Description: development files for the openbox window manager
  Openbox works with your applications, and makes your desktop easier to manage.
  This is because the approach to its development was the opposite of what seems

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=

CFLAGS +=-Wall -g -fPIC
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

VERSION=$(shell awk '/^PACKAGE_VERSION/ { print $$2 }' "FS='" configure)

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/openbox.pod > openbox.1
	#pod2man --section=1 --release=$(VERSION) --center \
	#	"Openbox documentation" debian/kdetrayproxy.pod > kdetrayproxy.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gnome-panel-control.pod > \
		gnome-panel-control.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gdm-control.pod > \
		gdm-control.1
	
	dh_auto_build

override_dh_install:
	dh_install --list-missing

override_dh_auto_clean:
	rm -f openbox.1
	#rm -f kdetrayproxy.1
	rm -f gnome-panel-control.1
	rm -f gdm-control.1
	
	dh_auto_clean

## openbox 3.5.2

=== tests/Makefile ===
files=$(wildcard *.c)

all: $(files:.c=)

%: %.c
	$(CC) `pkg-config --cflags --libs glib-2.0` $(CFLAGS) -o $@ $^ -lX11 -lXext -L/usr/X11R6/lib -I/usr/X11R6/include

=== debian/changelog ===
openbox (3.5.2-6ubuntu0.1) trusty; urgency=medium

  * Add libxcursor-dev to build dependencies to make Application Startup
    Notifications work properly. (LP: #1336521)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 21 Jan 2018 17:43:27 -0600

openbox (3.5.2-6) unstable; urgency=low

  * debian/control:
    + Move openbox-gnome-session, openbox-kde-session from Recommends to
      Suggests. (Closes: #731180)
    + openbox-{gnome,kde}-session: use all as architecture, add Enhances
      field and update description. (Closes: #731272)
  * Use xz compression.
  * Patch working:
    + drop both 644628_fix_autostart.patch and remove_redundant_autostart.patch
      to finally fix the issue with openbox-xdg-autostart being executed twice.
      (Closes: #728527)
  * Update openbox.lintian-overrides.
  * debian/rules:
    + use disable-silent-rules.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 21 Dec 2013 15:00:02 +0100

openbox (3.5.2-5) unstable; urgency=low

  * Add debian/patches/remove_redundant_autostart.patch.
    (Closes: #728527, #709291)
  * No logger install desktop file in applications.
    (LP: #1185502, LP: #1255783)
  * debian/control:
    + new binary packages openbox-gnome-session and openbox-kde-session to
      separate Gnome and KDE SC sessions from Openbox package. (Closes: #728661)
    + add openbox-menu to suggests.
    + add openbox-gnome-session and openbox-kde-session to openbox package
      recommends.
  * debian/rules:
    + use xz to compress packages.
  * Update NEWS.Debian.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 28 Nov 2013 19:35:36 +0100

openbox (3.5.2-4) unstable; urgency=low

  * Patch working:
    + add fix_rsvg_missing_include.patch to fix build with oldest librsvg
    version.
    + add update_pl_po.patch to update Polish language file.
    + refresh 644628_fix_autostart.patch.
  * debian/control:
    + move python-xdg to Recommends. (LP: #1244847)
    + bump standards to 3.9.5.0 (no changes required)
    + remove openbox-themes from Recommends.
  * debian/openbox.postinst:
    + install openbox with lower priority. (LP: #598378)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 30 Oct 2013 19:22:27 +0100

openbox (3.5.2-3) unstable; urgency=low

  * debian/control:
    + fix typo in depends openbox-dev package.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 07 Oct 2013 14:58:17 +0200

openbox (3.5.2-2) unstable; urgency=low

  * debian/control:
    + Replace ttf-dejavu with fonts-dejavu and add tint2 in suggests,
    + Add librsvg2-dev for depends openbox-dev package. (Closes: #724059)
  * Add lintian overrides for executable-not-elf-or-script.
  * Add fix_center_window.patch from upstream to add the old center option.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 26 Sep 2013 16:37:01 +0200

openbox (3.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #717223):
    + Fix Stacking of dock doesn't work correctly (Closes: #680664),
    + Fix Windows do not refresh anymore when lauching epdfview when
      awn is running (Closes: #683556)
    + Fix xmodmap freezes openbox in lxde (Closes: #678993).
  * debian/control:
    + Rename libobrender27 to libobrender29 to reflect ABI change,
    + Rename libobt0 to libobt2 to reflect ABI change,
    + Add librsvg2-dev and libxi-dev to Depends,
    + Add gnome-panel-control binary package,
    + Tidy up Build-Depends and Depends.
    + Fix wording in short description.
  * Remove from debian/patches:
    + 04_xsession.desktop_translation.patch,
    + 05_simplify_gnome_session.patch,
    + 90_fix_link_obt.patch,
    + 675991_fix_crash_from_gtk3_apps.patch,
    + 666676_wrong_undecorated_window_placement.patch,
    + clever-rectangle-picking.patch,
    + use-nearest-monitor.patch,
    + 91_fix_loose_focus.patch,
    + 658081_fix_kde_menu.patch,
    + add_automake1.11_support.patch -- All included upstream.
  * Rename in debian/patches:
    + 07_fix_xml_load_file.patch to 04_fix_xml_load_file.patch,
    + openbox-3.5.0-title-matching.patch to
      05_openbox-3.5.0-title-matching.patch,
    + openbox-3.5.0-which-2.20.patch to 06_openbox-3.5.0-which-2.20.patch.
  * Update symbols files. 
  * debian/rules:
    + override_dh_auto_configure to configure with librsvg support,
    + enable all hardening flags.
  * Add debian/patches/07_update_desktop.patch to provide keywords
    in desktop file.
  * Add debian/patches/719620_fix_show_startup_notification.patch
    (Closes: #719620, LP: #862662).
  * Update debian/NEWS.Debian.
  * Add debian/patches/08_fix_causing_submenuShowDelay.patch from
    upstream.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 03 Sep 2013 13:16:24 +0200

openbox (3.5.0-8) unstable; urgency=low

  * New maintainer. (Closes: #566900)
  * Bump standard version and compat.
  * Add python-xdg to dependences:
    + Fix XDG_DATA_DIRS not set when using openbox-gnome-session,
      (Closes: #647427)
    + Fix openbox: missing dependency: python-xdg. (Closes: #695432)
  * Update config files:
    + Add debian/patches/704724_fix_refers-to-autostart.sh.patch to fix
      openbox-session(1) refers to autostart.sh files, (Closes: #704724)
    + Add debian/patches/644628_fix_autostart.patch to fix openbox: Please
      provide a way to disable openbox-xdg-autostart via config file.
      (Closes: #644628)
  * Remove support for gdm-control and gnome-panel-control to fix
    openbox: gdm-control fails to execute. (Closes: #705793)
  * Add 91_fix_loose_focus.patch: From upstream, focus the windows when the
     execute action is run. (Closes: #709439)
  * Add patches from Arch Linux:
    + openbox-3.5.0-which-2.20.patch,
    + openbox-3.5.0-title-matching.patch.
  * Add 658081_fix_kde_menu.patch:
    + fix bad KDE menu placement when running a KDE/Openbox
    session (Closes: #658081)
  * Add add_automake1.11_support.patch: From upstream, add support
    automake 1.11 and newest.
  * Switch to Vcs-Git.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 23 Jul 2013 08:37:08 +0200



=== debian/control ===
Source: openbox
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper (>= 9), gettext, libstartup-notification0-dev, 
 libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, 
 libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, libx11-dev, 
 autoconf, automake (>= 1:1.11), python-xdg, libimlib2-dev, dh-autoreconf, 
 autopoint, librsvg2-dev, libxi-dev, libxcursor-dev
Standards-Version: 3.9.5.0
Homepage: http://www.openbox.org
Vcs-Browser: https://github.com/mati75/openbox-debian
Vcs-Git: git://github.com/mati75/openbox-debian

Package: openbox
Architecture: any
Provides: x-window-manager, x-session-manager
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: obconf, python-xdg
Suggests: menu, fonts-dejavu, python, libxml2-dev, tint2, openbox-menu,
 openbox-gnome-session (= ${binary:Version}), openbox-kde-session (= ${binary:Version})
Breaks: menu (<< 2.1.12)
Description: standards-compliant, fast, light-weight and extensible window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 Some of the things to look for in Openbox are:
 .
  * ICCCM and EWMH compliance!
  * Very fast
  * Chainable key bindings
  * Customizable mouse actions
  * Window resistance
  * Multi-head Xinerama support!
  * Pipe menus

Package: libobt2
Section: libs
Architecture: any
Conflicts: libobparser15, libobparser16
Replaces: libobparser15, libobparser16
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing library for openbox
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobt library files used by openbox
 to load and parse configuration and theme files of openbox.

Package: libobrender29
Section: libs
Architecture: any
Conflicts: libobrender15, libobrender16
Replaces: libobrender15, libobrender16
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rendering library for openbox themes
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobrender library files used by openbox
 for theme rendering.

Package: openbox-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender29 (= ${binary:Version}),
 libobt2 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
 libimlib2-dev, librsvg2-dev
Description: development files for the openbox window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the development headers for building openbox stuff.

Package: gnome-panel-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: openbox (<< 3.4.11.2)
Breaks: openbox (<< 3.4.11.2)
Description: command line utility to invoke GNOME panel run dialog/menu
 gnome-panel-control can be used to invoke the GNOME panel run or main
 menu from the command line. This is originally a helper utility of openbox 
 since gnome-panel is no longer managing its own key bindings.

Package: openbox-gnome-session
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}), 
 gnome-session-bin, gconf2, x11-utils
Enhances: gnome-session
Replaces: openbox (<< 3.5.2-5)
Breaks: openbox (<< 3.5.2-5)
Description: command line utility to run Openbox as GNOME session 
 openbox-gnome-session can provide GNOME session with openbox as
 a default window manager. It can replace the original window manager
 in GNOME Shell and GNOME Fallback sessions.

Package: openbox-kde-session
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}), 
 kde-workspace-bin, x11-utils
Enhances: kde-workspace
Replaces: openbox (<< 3.5.2-5)
Breaks: openbox (<< 3.5.2-5)
Description: command line utility to run Openbox as KDE SC session
 openbox-kde-session can provide KDE SC session with openbox as
 a default window manager. Can replace the original window manager
 called KWin.

=== debian/watch ===
version=3
http://icculus.org/openbox/releases (?:.*/)?openbox-?_?([\d+\.]+|\d+)\.tar.* debian uupdate

## openbox 3.6.0

=== debian/changelog ===
openbox (3.6.0-2tanglu1) staging; urgency=medium

  * Replace dependency on kde-workspace-bin with plasma-workspace
    - We don't ship KDE4 anymore, and OpenBox will not
      migrate without this dependency being fixed.

 -- Matthias Klumpp <mak@debian.org>  Mon, 29 Jun 2015 22:28:04 +0200

openbox (3.6.0-2) unstable; urgency=medium

  * debian/openbox.post{rm,inst}:
    + Fix command-with-path-in-maintainer-script lintian warning.
  * Change libobrender ABI from 29 to 31: (Closes: #788520)
    + Add debian/patches/788520_change_libobrender_abi.patch
    + Rename debian/libobrender29.install to debian/libobrender31.install.
    + Add updated symbols file debian/libobrender31.symbols.
  * Change libobt ABI from 2 to 4:
    + Add debian/patches/788520_change_libobt_abi.patch.
    + Rename debian/libobt2.install to debian/libobt4.install.
    + Add updated symbols file debian/libobt4.symbols.
  * debian/control:
    + Update names of binary packages to reflect new so versions.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 12 Jun 2015 19:31:23 +0200

openbox (3.6.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #498801, #688969, LP: #1220257)
  * Remove patches included upstream:
    + fix_center_window.patch
    + fix_rsvg_missing_include.patch
    + update_pl_po.patch
  * Add compatibility to obsession:
    + debian/control: add obsession as replacement for python-xdg.
    + debian/patches/08_fix-autostart.patch: fix autostart then the python-xdg
    is not running.
    + Remove debian/patches/644628_fix_autostart.patch.
  * Add lintian-overrides for debian-watch-may-check-gpg-signature.
  * Drop python-xdg from Build-Depends.
  * debian/rules: Drop obsolete override_dh_builddeb.
  * Drop debian/source/options -- no longer needed.
  * Add lintian-overrides for desktop-entry-lacks-keywords-entry on xsession
    desktop files.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 03 Jun 2015 14:43:02 +0200

openbox (3.5.2-8) unstable; urgency=high

  * debian/openbox.install:
    + Fix install Nightmare themes directory. (Closes: #758404)
  * debian/themes:
    + Update Nightmare themes to latest version.
  * Bump Standards-Version to 3.9.6. (no changes needed)
  * debian/copyright:
    + Fix lintian errors.
  * debian/watch:
    + Update for use github.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 25 Oct 2014 14:38:46 +0200

openbox (3.5.2-7) unstable; urgency=medium

  * debian/copyright:
    + Update years.
    + Add copyright for Nightmare themes.
  * debian/control:
    + Fix version of standards.
    + Add scrot to recommends.
  * Patch working:
    + add 754207_use-scrot.patch for using scrot to take a screenshot.
    (Closes: #754207)
  * debian/themes:
    + Add Nightmare themes from: 
    http://box-look.org/content/show.php/Nightmare+?content=165646
  * debian/openbox.install:
    + update for install Nightmare themes.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 31 Jul 2014 20:05:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: openbox
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
+Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper (>= 9), gettext, libstartup-notification0-dev, 
  libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl, 
  libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, libx11-dev, 
- autoconf, automake (>= 1:1.11), python-xdg, libimlib2-dev, dh-autoreconf, 
- autopoint, librsvg2-dev, libxi-dev, libxcursor-dev
-Standards-Version: 3.9.5.0
+ autoconf, automake (>= 1:1.11), libimlib2-dev, dh-autoreconf, 
+ autopoint, librsvg2-dev, libxi-dev
+Standards-Version: 3.9.6
 Homepage: http://www.openbox.org
 Vcs-Browser: https://github.com/mati75/openbox-debian
 Vcs-Git: git://github.com/mati75/openbox-debian
@@ -18,7 +17,7 @@
 Provides: x-window-manager, x-session-manager
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: obconf, python-xdg
+Recommends: obconf, python-xdg | obsession, scrot
 Suggests: menu, fonts-dejavu, python, libxml2-dev, tint2, openbox-menu,
  openbox-gnome-session (= ${binary:Version}), openbox-kde-session (= ${binary:Version})
 Breaks: menu (<< 2.1.12)
@@ -47,11 +46,12 @@
   * Multi-head Xinerama support!
   * Pipe menus
 
-Package: libobt2
+Package: libobt4
 Section: libs
 Architecture: any
 Conflicts: libobparser15, libobparser16
 Replaces: libobparser15, libobparser16
+Breaks: libobt2 (<< 3.6.0-1)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: parsing library for openbox
  Openbox works with your applications, and makes your desktop easier to manage.
@@ -71,12 +71,13 @@
  This package contains the libobt library files used by openbox
  to load and parse configuration and theme files of openbox.
 
-Package: libobrender29
+Package: libobrender31
 Section: libs
 Architecture: any
-Conflicts: libobrender15, libobrender16
-Replaces: libobrender15, libobrender16
+Conflicts: libobrender15, libobrender16, libobrender29
+Replaces: libobrender15, libobrender16, libobrender29
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libobrender29 (<< 3.6.0-1)
 Description: rendering library for openbox themes
  Openbox works with your applications, and makes your desktop easier to manage.
  This is because the approach to its development was the opposite of what seems
@@ -98,8 +99,8 @@
 Package: openbox-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender29 (= ${binary:Version}),
- libobt2 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender31 (= ${binary:Version}),
+ libobt4 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
  libimlib2-dev, librsvg2-dev
 Description: development files for the openbox window manager
  Openbox works with your applications, and makes your desktop easier to manage.
@@ -143,8 +144,7 @@
 Package: openbox-kde-session
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}), 
- kde-workspace-bin, x11-utils
-Enhances: kde-workspace
+ plasma-workspace, x11-utils
 Replaces: openbox (<< 3.5.2-5)
 Breaks: openbox (<< 3.5.2-5)
 Description: command line utility to run Openbox as KDE SC session
